Bug 434725 - kernel not recognizing Philips gogear HDD6330/17?
kernel not recognizing Philips gogear HDD6330/17?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 19:25 EST by Joshua Jensen
Modified: 2008-07-29 09:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-29 09:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2008-02-24 19:25:15 EST
Description of problem:

My Fedora 8 x86_64 with all updates as of Feb 24th 2008 does not recognize my
Philips gogear HDD6330/17.

dmesg says this:
usb 2-4: new high speed USB device using ehci_hcd and address 2
usb 2-4: config 128 interface 0 altsetting 0 endpoint 0x81 has an invalid
bInterval 100, changing to 10
usb 2-4: configuration #128 chosen from 1 choice

lsusb -v says this:

Bus 002 Device 002: ID 0471:014b Philips 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x0471 Philips
  idProduct          0x014b 
  bcdDevice            0.21
  iManufacturer           1 Philips
  iProduct                2 Philips HDD63XX GoGear
  iSerial                 3            95R18542S
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           39
    bNumInterfaces          1
    bConfigurationValue   128
    iConfiguration          0 
    bmAttributes         0xc0
      Self Powered
    MaxPower              500mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval             100
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass          255 Vendor Specific Class
  bDeviceSubClass       255 Vendor Specific Subclass
  bDeviceProtocol       255 Vendor Specific Protocol
  bMaxPacketSize0        64
  bNumConfigurations      1

I have verified that fdisk does not see the device at all.

Can we add this to the list of known mp3 / usb mass storage auto-mounted devices?
Comment 1 Joshua Jensen 2008-03-08 15:14:56 EST
ping... anyone?
Comment 2 Chuck Ebbert 2008-03-10 18:35:58 EDT
Does not seem to present itself as a SUB-storage device.
Comment 3 Chuck Ebbert 2008-03-10 18:36:22 EDT
Does not seem to present itself as a _USB-storage_ device.


Note You need to log in before you can comment on or make changes to this bug.